#include <cstdint>
#include <iostream>
using namespace std;

string rep1( const string& base, uint rep ) {
   string ret = "";
   for( uint i = 0; i < rep; i++ )
      ret += base[ i % base.length() ];
   return ret;
}

string rep2( const string& base, uint rep ) {
   string ret = "";
   for( uint i = 0; i < rep; i += base.length() )
      ret += rep - i > base.length() ?
             base : base.substr( 0, rep - i );
   return ret;
}

string rep3( const string& base, uint rep ) {
   string ret = "";
   for( uint i = 0; i < rep / base.length(); i++ )
      ret += base;
   return ret + base.substr( 0, rep % base.length() );
}

int main() {
   string ( *tests[] )( const string& base, uint rep ) = { // последовательность тестов
      rep1, rep2, rep3,
   };
   while( true ) {
      cout << "базовая строка?: ";
      string word;
      cin >> word;
      uint rep;
      cout << "длина результата?: ";
      cin >> rep;
      for( uint i = 0; i < sizeof( tests ) / sizeof( tests[ 0 ] ); i++ )
         cout << tests[ i ]( word, rep )<< endl;
   }
   return 0;
}
